import { TPromise } from '@vscode/base-node/vs/base/common/winjs.base';
import Event from '@vscode/base-node/vs/base/common/event';
export interface ShutdownEvent {
    veto(value: boolean | TPromise<boolean>): void;
    reason: ShutdownReason;
}
export declare enum ShutdownReason {
    CLOSE = 0,
    QUIT = 1,
    RELOAD = 2,
    LOAD = 3,
}
export interface ILifecycleService {
    willShutdown: boolean;
    onWillShutdown: Event<ShutdownEvent>;
    onShutdown: Event<ShutdownReason>;
}
export declare const NullLifecycleService: ILifecycleService;
